Package org.apache.sysds.resource.enumeration

## Enum Enumerator.EnumerationStrategy

- java.lang.Object
- - java.lang.Enum<Enumerator.EnumerationStrategy>
  - - org.apache.sysds.resource.enumeration.Enumerator.EnumerationStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<Enumerator.EnumerationStrategy>`

Enclosing class:
  Enumerator

    public static enum Enumerator.EnumerationStrategy
    extends Enum<Enumerator.EnumerationStrategy>

### Enum Constant Summary

Enum Constants
`GridBased`
`InterestBased`
`PruneBased`

### Method Summary

All Methods Static Methods Concrete Methods
`static Enumerator.EnumerationStrategy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Enumerator.EnumerationStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GridBased

    public static final Enumerator.EnumerationStrategy GridBased

#### InterestBased

    public static final Enumerator.EnumerationStrategy InterestBased

#### PruneBased

    public static final Enumerator.EnumerationStrategy PruneBased

### Method Detail

#### values

    public static Enumerator.EnumerationStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Enumerator.EnumerationStrategy c : Enumerator.EnumerationStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Enumerator.EnumerationStrategy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null